package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.ApprovalRecord;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface ApprovalRecordDAO {
	int insert(ApprovalRecord entity);
	int update(ApprovalRecord entity);
	int exist(String id);
	ApprovalRecord get(String id);
	int delete(String id);
	List<ApprovalRecord> list();
	List<ApprovalRecord> search(Map<String, Object> searchParams, List<Sort> sortList);
}